Panda3D

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
EggVertexAux Class Reference

The set of named auxiliary data that may or may not be assigned to a vertex. More...

`#include "eggVertexAux.h"`

Inheritance diagram for EggVertexAux:

## Public Member Functions
| EggVertexAux (const EggVertexAux &copy)
| EggVertexAux (const std::string &name, const LVecBase4d &aux)
int | compare_to (const EggVertexAux &other) const
| An ordering operator to compare two vertices for sorting order. More...
virtual TypeHandle | force_init_type ()
const LVecBase4d & | get_aux () const
| Returns the auxiliary data quadruple. More...
virtual TypeHandle | get_type () const
EggVertexAux & | operator= (const EggVertexAux &copy)
void | set_aux (const LVecBase4d &aux)
| Sets the auxiliary data quadruple. More...
void | set_name (const std::string &name)
void | write (std::ostream &out, int indent_level) const
Public Member Functions inherited from EggNamedObject
| EggNamedObject (const EggNamedObject &copy)
| EggNamedObject (const std::string &name="")
EggNamedObject & | operator= (const EggNamedObject &copy)
void | output (std::ostream &out) const
void | write_header (std::ostream &out, int indent_level, const char *egg_keyword) const
| Writes the first line of the egg object, e.g. More...
Public Member Functions inherited from EggObject
| EggObject (const EggObject &copy)
virtual EggTransform * | as_transform ()
| Returns this object cross-cast to an EggTransform pointer, if it inherits from EggTransform, or NULL if it does not. More...
void | clear_user_data ()
| Removes *all* user data pointers from the node. More...
void | clear_user_data (TypeHandle type)
| Removes the user data pointer of the indicated type. More...
EggUserData * | get_user_data () const
| Returns the user data pointer most recently stored on this object, or NULL if nothing was previously stored. More...
EggUserData * | get_user_data (TypeHandle type) const
| Returns the user data pointer of the indicated type, if it exists, or NULL if it does not. More...
bool | has_user_data () const
| Returns true if a generic user data pointer has recently been set and not yet cleared, false otherwise. More...
bool | has_user_data (TypeHandle type) const
| Returns true if the user data pointer of the indicated type has been set, false otherwise. More...
EggObject & | operator= (const EggObject &copy)
void | set_user_data (EggUserData *user_data)
| Sets the user data associated with this object. More...
Public Member Functions inherited from TypedReferenceCount
| TypedReferenceCount (const TypedReferenceCount &copy)
void | operator= (const TypedReferenceCount &copy)
Public Member Functions inherited from TypedObject
| TypedObject (const TypedObject &copy)=default
TypedObject * | as_typed_object ()
| Returns the object, upcast (if necessary) to a TypedObject pointer. More...
const TypedObject * | as_typed_object () const
| Returns the object, upcast (if necessary) to a TypedObject pointer. More...
int | get_best_parent_from_Set (const std::set< int > &) const
int | get_type_index () const
| Returns the internal index number associated with this object's TypeHandle, a unique number for each different type. More...
bool | is_exact_type (TypeHandle handle) const
| Returns true if the current object is the indicated type exactly. More...
bool | is_of_type (TypeHandle handle) const
| Returns true if the current object is or derives from the indicated type. More...
TypedObject & | operator= (const TypedObject &copy)=default
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)
Public Member Functions inherited from ReferenceCount
int | get_ref_count () const
WeakReferenceList * | get_weak_list () const
| Returns the WeakReferenceList associated with this ReferenceCount object. More...
bool | has_weak_list () const
| Returns true if this particular ReferenceCount object has a WeakReferenceList created, false otherwise. More...
void | local_object ()
| This function should be called, once, immediately after creating a new instance of some ReferenceCount-derived object on the stack. More...
void | ref () const
| Explicitly increments the reference count. More...
bool | ref_if_nonzero () const
| Atomically increases the reference count of this object if it is not zero. More...
bool | test_ref_count_integrity () const
| Does some easy checks to make sure that the reference count isn't completely bogus. More...
bool | test_ref_count_nonzero () const
| Does some easy checks to make sure that the reference count isn't zero, or completely bogus. More...
virtual bool | unref () const
| Explicitly decrements the reference count. More...
bool | unref_if_one () const
| Atomically decreases the reference count of this object if it is one. More...
WeakReferenceList * | weak_ref ()
| Adds the indicated PointerToVoid as a weak reference to this object. More...
void | weak_unref ()
| Removes the indicated PointerToVoid as a weak reference to this object. More...
Public Member Functions inherited from Namable
| Namable (const std::string &initial_name="")
void | clear_name ()
| Resets the Namable's name to empty. More...
const std::string & | get_name () const
bool | has_name () const
| Returns true if the Namable has a nonempty name set, false if the name is empty. More...
void | output (std::ostream &out) const
| Outputs the Namable. More...
void | set_name (const std::string &name)

## Static Public Member Functions
static TypeHandle | get_class_type ()
static void | init_type ()
static | PT (EggVertexAux) make_average(const EggVertexAux *first
Static Public Member Functions inherited from EggNamedObject
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from EggObject
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedObject
static TypeHandle | get_class_type ()
static void | init_type ()
| This function is declared non-inline to work around a compiler bug in g++ 2.96. More...
Static Public Member Functions inherited from ReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from Namable
static TypeHandle | get_class_type ()
static void | init_type ()

## Public Attributes
static const EggVertexAux * | second
Public Attributes inherited from TypedObject
| get_type
Public Attributes inherited from ReferenceCount
| get_ref_count
| Returns the current reference count. More...
Public Attributes inherited from Namable
| get_name
| set_name

## Detailed Description

The set of named auxiliary data that may or may not be assigned to a vertex.

Panda will import this data and create a custom column for it in the vertex data, but will not otherwise interpret it. Presumably, a shader will process the data later.

Definition at line 30 of file eggVertexAux.h.

## Member Function Documentation

## ◆ compare_to()

int EggVertexAux::compare_to | ( | const EggVertexAux & | other | ) | const

An ordering operator to compare two vertices for sorting order.

This imposes an arbitrary ordering useful to identify unique vertices.

Definition at line 88 of file eggVertexAux.cxx.

## ◆ get_aux()

const LVecBase4d & EggVertexAux::get_aux | ( |  | ) | const
| inline

Returns the auxiliary data quadruple.

Definition at line 25 of file eggVertexAux.I.

## ◆ set_aux()

void EggVertexAux::set_aux | ( | const LVecBase4d & | aux | ) |
| inline

Sets the auxiliary data quadruple.

Definition at line 33 of file eggVertexAux.I.

The documentation for this class was generated from the following files:

- panda/src/egg/eggVertexAux.h
- panda/src/egg/eggVertexAux.cxx
- panda/src/egg/eggVertexAux.I